import { fetch } from '@utils/request'
import {
  API_USER_INFO,
  API_USER_PHONE,
  API_USER_SIGNIN,
  API_QUERY_USER_INFO
} from '@constants/api'

/**
 * 更新用户信息
 * @param {*} payload 
 */
export const updateUserInfo = payload => fetch({ url: API_USER_INFO, payload, method: 'POST' })

/**
 * 获取用户手机号
 * @param {*} payload 
 */
export const queryUserPhone = payload => fetch({ url: API_USER_PHONE, payload, method: 'POST' })

/**
 * 获取用户积分 推荐客户 收藏数等
 * @param {*} payload 
 */
export const queryUserInfo = payload => fetch({ url: API_QUERY_USER_INFO, payload })

/**
 * 用户签到
 * @param {*} payload 
 */
export const doUserSignin = payload => fetch({ url: API_USER_SIGNIN, payload, method: 'POST' })
